### Function

# Gimp context_set_interpolation

since: 2.8

#### Declaration [src]

    gboolean
    gimp_context_set_interpolation (
      GimpInterpolationType interpolation
    )

#### Description [src]

Set the interpolation type.

Modifies the interpolation setting.

This setting affects affects the following procedures: gimp_item_transform_flip(), gimp_item_transform_perspective(), gimp_item_transform_rotate(), gimp_item_transform_scale(), gimp_item_transform_shear(), gimp_item_transform_2d(), gimp_item_transform_matrix(), gimp_image_scale(), gimp_layer_scale().

Available since: 2.8

#### Parameters

`interpolation`

  Type: `GimpInterpolationType`

  The interpolation type.

#### Return value

Type: `gboolean`

TRUE on success.